package com.mca.user.mapper;

import java.util.List;

import com.mca.user.vo.UserSearchVO;
import com.mca.user.vo.UserVO;

import egovframework.rte.psl.dataaccess.mapper.Mapper;

@Mapper("userMapper")
public interface UserMapper {
	
	public int selectUserIdCheck(String checkId);

	public void insertUser(UserVO userVO);

	public UserVO selectUserInfo(String userid);

	public List<?> selectUserList(UserSearchVO userSearchVO);

	public int selectUserCount(UserSearchVO userSearchVO);

	public int selectUserStandByCount();

	public void updateUserSign(String userid);

	public void updateUserDelete(String userid);

	public void updateUser(UserVO userVO);

	public UserVO findId(UserVO userVO);
	public UserVO findPwd(UserVO userVO);
	public void  updatePwd(UserVO userVO);
}
